Package com.sun.speech.freetts.clunits

# Class ClusterUnitDatabase

java.lang.Object
com.sun.speech.freetts.clunits.ClusterUnitDatabase

public class ClusterUnitDatabase extends Object
Provides support for the cluster unit database. The use of the cluster unit database is confined to this clunits package. This class provides a main program that can be used to convert from a text version of the database to a binary version of the database. The ClusterUnitDataBase can be loaded from a text or a binary source. The binary form of the database loads much faster and therefore is generally used in a deployed system.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`compare(ClusterUnitDatabase other)`
Determines if two databases are identical.
`static void`
`main(String[] args)`
Manipulates a ClusterUnitDatabase.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### compare

public boolean compare(ClusterUnitDatabase other)
Determines if two databases are identical.

Parameters:
  `other` - the database to compare this one to
Returns:
  true if the databases are identical

### main

public static void main(String[] args)
Manipulates a ClusterUnitDatabase.

Usage

`java com.sun.speech.freetts.clunits.ClusterUnitDatabase [options]`

Options

- `-src path` provides a directory path to the source text for the database
- `-dest path` provides a directory for where to place the resulting binaries
- `-generate_binary [filename]` reads in the text version of the database and generates the binary version of the database.
- `-compare` Loads the text and binary versions of the database and compares them to see if they are equivalent.
- `-showTimes` shows timings for any loading, comparing or dumping operation